SageTV Community  

Go Back   SageTV Community > SageTV Products > SageTV Software

Notices

SageTV Software Discussion related to the SageTV application produced by SageTV. Questions, issues, problems, suggestions, etc. relating to the SageTV software application should be posted here. (Check the descriptions of the other forums; all hardware related questions go in the Hardware Support forum, etc. And, post in the customizations forum instead if any customizations are active.)

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 11-09-2019, 09:01 PM
photon photon is offline
Sage Advanced User
 
Join Date: May 2008
Posts: 162
Plugin server issue?

I've setup a new client and went to plugins to choose my desired Full UI.

I'm getting this error when I choose SageMC:

Plugin Install Progress: Done - FAILED - Resource Download
http://bintray.com/jrekiwi/SageTV/do...file_path=Sage
MC%2Fsagemc-stv-7011.zip

To rule out a client issue I uninstalled this plugin from a different working client. Tried to reinstall and got the same error message. Now I have two nonworking clients.

I hope this can be fixed.
Reply With Quote
  #2  
Old 11-10-2019, 12:37 AM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,074
Bintray have made a change to redirect HTTP requests to HTTPS which is not supported on all Java versions.

I'll change the plugin repository to the HTTPS address

https://bintray.com/jrekiwi/SageTV/d...stv-7.0.11.zip

John
Reply With Quote
  #3  
Old 11-10-2019, 12:54 PM
photon photon is offline
Sage Advanced User
 
Join Date: May 2008
Posts: 162
Thank you. I look forward to the server side fix. This client is on Android. I don't know how to manually install a plugin so I'm not sure how to use your linked zip file. My sage server is on v9.1.5.683.32 bit with 32 bit java version 7 update 79. It won't accept more than 4 GB of RAM so for java heap reasons I'm frozen on this version until I move to the new hardware I've had for a long time now.

I haven't tried to move to version 9 64 bit on the new hardware yet. Mostly it's the time commitment because I would be trying to replicate key Windows Home server features on Windows 10 desktop OS. As far as I know MS hasn't added those features into some current OS. The drive pool and photo hosting have long been available 3rd party so it's the rest of the features that are a challenge. I don't know how to build a remote access website on Windows 10 desktop. Or I could kick the can down the road by just installing a new copy of unsupported WHS 2011 on the new hardware and be done in a few hours.

Last edited by photon; 11-10-2019 at 01:04 PM.
Reply With Quote
  #4  
Old 11-10-2019, 11:24 PM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,074
You need to be running Java 8 to be able to download plugins using HTTPS. If you upgrade your JAVA you should be OK.

John
Reply With Quote
  #5  
Old 11-11-2019, 10:47 AM
photon photon is offline
Sage Advanced User
 
Join Date: May 2008
Posts: 162
That solved it. I installed Java 8. All fixed. SageMC UI installed on all clients successfully.

Thank you!
Reply With Quote
  #6  
Old 11-12-2019, 01:51 PM
egeller egeller is offline
Sage Advanced User
 
Join Date: Feb 2006
Location: Drexel Hill, PA
Posts: 241
Quote:
Originally Posted by JREkiwi View Post
You need to be running Java 8 to be able to download plugins using HTTPS. If you upgrade your JAVA you should be OK.

John
Uh.... I think we have an issue, and I cannot believe I am the only one. I am running the SageTV Docker on Unraid. Sage reports my Java version is:1.8.0_161.

I have 3 plugins that now have the JVM=8+ dependency listed. They are External Apps, Phoenix Fanart for SageTV, and Upcoming Movies 2.

For all three, I now see a refusal of the plugins to update, Compatible=No, Reason=Java Version 8+.

I am going to start up my development instance of Sage on a Windows Machine to see if the behavior is different. In the meantime, I wonder if anybody is seeing the same thing or has any ideas on a possible fix.
__________________
Server:UnRaid;2x Intel Xeon E5; SuperMicro moboard;Also:BM3000 w/ WMC; 2x Ceton ETH 6; OpenDCT
SageTV Extender:3x HD200 1x HD300
Sage TV: 9.2.1, Standard STVi, Comskip Playback, Web Interface, 24 Hour Clock, SRE, YouTube2015, Playon
All in lovely Drexel Hill, PA
Reply With Quote
  #7  
Old 11-12-2019, 02:26 PM
photon photon is offline
Sage Advanced User
 
Join Date: May 2008
Posts: 162
Quote:
Originally Posted by egeller View Post
Uh.... I think we have an issue, and I cannot believe I am the only one. I am running the SageTV Docker on Unraid. Sage reports my Java version is:1.8.0_161.

I have 3 plugins that now have the JVM=8+ dependency listed. They are External Apps, Phoenix Fanart for SageTV, and Upcoming Movies 2.

For all three, I now see a refusal of the plugins to update, Compatible=No, Reason=Java Version 8+.

I am going to start up my development instance of Sage on a Windows Machine to see if the behavior is different. In the meantime, I wonder if anybody is seeing the same thing or has any ideas on a possible fix.
Not sure if this helps but I just installed Java 8 and sage reports my new java version as 1.8.0_231. Going by the second digit in both cases I think you have Java 8 installed.
Reply With Quote
  #8  
Old 11-12-2019, 02:36 PM
egeller egeller is offline
Sage Advanced User
 
Join Date: Feb 2006
Location: Drexel Hill, PA
Posts: 241
Quote:
Originally Posted by photon View Post
Not sure if this helps but I just installed Java 8 and sage reports my new java version as 1.8.0_231. Going by the second digit in both cases I think you have Java 8 installed.
It does help, sort of. With Unraid, Java is part of the Docker. It's a combined-all-in-one package. I understand I am running Java 8.

I think the problem may be the way the Java version is referred to in the Plugin XML. It says <minversion>8</minversion>. I suspect it is supposed to say "1.8" and not "8".

I see other plugins, in the XML, dependent on Java 6 and 7. They all say "1.6" and "1.7" respectively.

Unfortunately, I do not know how to change the plugin XML on the fly, as it seems Sage downloads the XML on startup.

Therefore, I think it needs to be fixed at the source.
__________________
Server:UnRaid;2x Intel Xeon E5; SuperMicro moboard;Also:BM3000 w/ WMC; 2x Ceton ETH 6; OpenDCT
SageTV Extender:3x HD200 1x HD300
Sage TV: 9.2.1, Standard STVi, Comskip Playback, Web Interface, 24 Hour Clock, SRE, YouTube2015, Playon
All in lovely Drexel Hill, PA
Reply With Quote
  #9  
Old 11-12-2019, 08:01 PM
BobPhoenix BobPhoenix is offline
SageTVaholic
 
Join Date: Oct 2004
Posts: 3,144
Quote:
Originally Posted by egeller View Post
I do not know how to change the plugin XML on the fly, as it seems Sage downloads the XML on startup.
Copy the XML entry from the SageTVPlugins.xml to a file named SageTVPluginsDev.xml in the SageTV directory but change the plugin version to a higher number. Then also change any settings you feel need to be changed. Then select the new entry when you restart the server.

I think that should work to at least change the settings of an existing plugin.
__________________
"Keep your goals away from the trolls"
Reply With Quote
  #10  
Old 11-13-2019, 03:57 AM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,074
Quote:
Originally Posted by egeller View Post
I have 3 plugins that now have the JVM=8+ dependency listed. They are External Apps, Phoenix Fanart for SageTV, and Upcoming Movies 2
I'll fix the repository

John

Fixed.

Last edited by JREkiwi; 11-13-2019 at 04:15 AM. Reason: Fixed
Reply With Quote
  #11  
Old 11-23-2019, 07:36 AM
waynedunham waynedunham is offline
Sage Icon
 
Join Date: Sep 2004
Posts: 1,374
Quote:
Originally Posted by JREkiwi View Post
You need to be running Java 8 to be able to download plugins using HTTPS. If you upgrade your JAVA you should be OK.

John
I'm calling on my addled brain, but back when Java 8 came out didn't it break multiple plugins unless you downgraded to Java 7?
I don't recall the list of plugins it did break (was there ever a "list"), but seem to recall that at least one of them noted was critical to me so I've never gone past Java 7 on my SageTV machines.

Does anyone recall what plugins it broke, and has that been addressed?

Within the last couple weeks several of my plugins have been "updated" that are either JREWiki plugins, or ones he gets co-credit for, to change the address to HTTPS from HTTP. Needless to say none of these will update since I'm on Java 7. CMT, Encoder names, and Comskip Playback plugins plus the Nielm_sageIMDB library file are the ones on my systems.

I get failed messages when I try to download any of these updates. Again, not surprising since Java 7 can't do HTTPS. (really?? wow!)

It might not have been a big deal since the link to the file is really the only thing changed apparently, but now at the very least my IMDB functions aren't working.

PLEH, PLEH!! (a dyslexic cry for HELP)
__________________
Wayne Dunham
Reply With Quote
  #12  
Old 11-23-2019, 01:03 PM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,074
The only changes on all those plugins was just the download path as BinTray are no longer supporting HTTP
The IMDB issue is not resolved yet as IMDB have once again changed to a "New Interface"

You could try setting a new System Environment Variable, instructions here
Code:
_JAVA_OPTIONS
with a value of
-Dhttps.protocols=TLSv1.1,TLSv1.2
that may work, although some of the plugins have a pre-req of Java 1.8

John
Reply With Quote
  #13  
Old 11-24-2019, 11:45 AM
waynedunham waynedunham is offline
Sage Icon
 
Join Date: Sep 2004
Posts: 1,374
Quote:
Originally Posted by JREkiwi View Post
The only changes on all those plugins was just the download path as BinTray are no longer supporting HTTP
The IMDB issue is not resolved yet as IMDB have once again changed to a "New Interface"

You could try setting a new System Environment Variable, instructions here
Code:
_JAVA_OPTIONS
with a value of
-Dhttps.protocols=TLSv1.1,TLSv1.2
that may work, although some of the plugins have a pre-req of Java 1.8

John
Well this morning I shut down SageTV on both of my servers and uninstalled Java 7 and installed Java 8 (32bit on both machines and 64bit on one of the machines running Win8.1 64 bit). So far, so good. (fingers crossed)

Fired them up and both booted into SageTV service just fine. I updated the plugins that required Java 8 (3 plugins, 1 library). Restarted SageTV and so far everything seems to be working fine. IMDB is back, thanks to that getting updated again for the new IMDB interface. No other plugins have complained about Java so far.
__________________
Wayne Dunham
Reply With Quote
  #14  
Old 11-24-2019, 12:25 PM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,074
I think the only plugin that had a problem with JAVA 8 was the Kodi one

John
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
issue with plugin download server Galaxysurfer SageTV Software 2 05-22-2019 07:17 AM
Schedules Direct Plugin Issue rickgillyon SageTV v9 Customizations 20 09-25-2016 12:03 PM
2008 Server with WHS VM, SageTV WHS server Plugin? Justintoxicated SageTV Software 4 06-26-2010 09:27 PM
Issue Downloading Netflix Plugin cgreenle SageTV Customizations 1 04-13-2008 06:23 PM
Intermittant No Data Issue with Digicasa EPG plugin cclayton SageTV Canada 5 03-24-2005 11:05 AM


All times are GMT -6. The time now is 09:33 AM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Copyright 2003-2005 SageTV, LLC. All rights reserved.